CATMAN(8)

NAME
catman - format cat pages from man pages

SYNOPSIS
catman [-knpsw] [-m directory] [sections]
catman [-knpsw] [-M directory] [sections]

DESCRIPTION
catman creates formatted versions of the on-line manual pages from their nroff(1) source. Manual pages whose formatted versions are missing or out of date are regenerated. If manual pages are regenerated, catman also regenerates the whatis database.

The optional sections argument is one word, and contains the section numbers of all the sections to be checked. For example, if sections is ``13f8'', the manual pages in sections 1, 3f, and 8 will be checked and regenerated. If no sections argument is provided, catman will try to operate on all of the known manual sections.

The options are as follows:

-k  Ignore errors from nroff when building manpages.

-n  Do not create the whatis database.

-p  Display the commands that would have been executed, but do not actually execute them.

-s  Perform work silently; do not echo commands as they are executed. This flag is ignored if -p is specified.

-w  Only create the whatis database.

-m directory
    Add directory to the set of directories to be updated.

-M directory
    Update manual pages in directory.

SEE ALSO
apropos(1), man(1), whatis(1)

BUGS
Currently does not handle hard links. Acts oddly on nights with full moons.